string File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | _GLIBCXX_EXPERIMENTAL_STRING

## Functions

template<typename _CharT , typename _Traits , typename _Alloc , typename _Up >
void | std::experimental::erase (basic_string< _CharT, _Traits, _Alloc > &__cont, const _Up &__value)
template<typename _CharT , typename _Traits , typename _Alloc , typename _Predicate >
void | std::experimental::erase_if (basic_string< _CharT, _Traits, _Alloc > &__cont, _Predicate __pred)

## Detailed Description

This is a TS C++ Library header.

Definition in file experimental/string.

## Macro Definition Documentation

## _GLIBCXX_EXPERIMENTAL_STRING

#define _GLIBCXX_EXPERIMENTAL_STRING

Definition at line 30 of file experimental/string.

## Function Documentation

## erase()

template<typename _CharT , typename _Traits , typename _Alloc , typename _Up >

void std::experimental::fundamentals_v2::erase | ( | basic_string< _CharT, _Traits, _Alloc > & | __cont,
|  | const _Up & | __value
| ) |  |

inline

Definition at line 59 of file experimental/string.

## erase_if()

template<typename _CharT , typename _Traits , typename _Alloc , typename _Predicate >

void std::experimental::fundamentals_v2::erase_if | ( | basic_string< _CharT, _Traits, _Alloc > & | __cont,
|  | _Predicate | __pred
| ) |  |

inline

Definition at line 51 of file experimental/string.